## dtk6log 0.0.2

=== debian/changelog ===
dtk6log (0.0.2-2ubuntu1) questing; urgency=medium

  * d/patches: Add upstream_fix-compilation-on-Qt-6.9.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 08:24:21 +0100

dtk6log (0.0.2-2build2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 07:41:31 +0100

dtk6log (0.0.2-2build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:05:45 -0500

dtk6log (0.0.2-2) unstable; urgency=medium

  * debian/control: Limit package architecture to linux-any.
  * debian/control: Fix Vcs-* and Homepage field.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 12:35:21 -0500

dtk6log (0.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1090338)

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Dec 2024 20:12:19 -0500
