## dtk6log 0.0.4

=== debian/changelog ===
dtk6log (0.0.4) unstable; urgency=medium

  * Release 0.0.4

 -- yeshanshan <yeshanshan@uniontech.com>  Mon, 23 Jun 2025 14:53:54 +0800

dtk6log (0.0.2) unstable; urgency=medium

  * release 0.0.2

 -- Mike Chen <chenke@deepin.org>  Thu, 05 Dec 2024 14:19:36 +0800
