=== debian/watch ===
version=4
opts="dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dtk6log-$1.tar.gz%" \
    https://github.com/linuxdeepin/dtk6log/tags \
    (?:.*?/)?v?(\d[\d.]*r?c?\d?)\.tar\.gz debian uupdate
