## dtk6log 0.0.6

=== debian/changelog ===
dtk6log (0.0.6-2~exp1) experimental; urgency=medium

  * Test rebuild with Qt6 6.10.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Feb 2026 11:33:56 -0500

dtk6log (0.0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Update to version 5.
  * debian/rules: Enable full hardening.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Jan 2026 20:00:50 -0500
