=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: dtk6log
 Section: libs
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -11,8 +9,8 @@
  libspdlog-dev,
  libsystemd-dev,
  pkgconf,
- qt6-base-private-dev,
-Standards-Version: 4.7.2
+ qt6-base-private-dev (>= 6.10),
+Standards-Version: 4.7.3
 Homepage: https://github.com/linuxdeepin/dtk6log
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtk6log.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtk6log
